<?php
/**
* ドメインモデルを利用するタスク
*
* PHP version 5
*
* @package    core
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

abstract class DomainModelTask extends Task implements ITask
{
	/*
	 *	コンストラクタ
	 */
	public function __construct()
	{
		parent::__construct();
	}

	/*
	 * ドメインモデルを取得する
	 */
	public function getDomainModel( String $domain_model )
	{
		return Factory::createDomainModel( $domain_model );
	}

}


return __FILE__;